# ng-virtual-keyboard

An AngularJs Virtual Keyboard Interface based on [Mottie/Keyboard](https://github.com/Mottie/Keyboard). See example in the [Demo page](http://mottie.github.com/Keyboard/)

[![Bower Version][bower-image]][bower-url] [![NPM Version][npm-image]][npm-url]

## Install

* Install using [bower](https://github.com/bower/bower).
```sh
bower install ng-virtual-keyboard
```

* Install using [npm](https://www.npmjs.com/).
```sh
npm install ng-virtual-keyboard
```

## Dependencies

- [jQuery](https://github.com/jquery/jquery)

## Usage

1. Import the ```ng-virtual-keyboard.min.js``` script in your page.

2. Include the module ```ng-virtual-keyboard``` in your angular app.

3. Use the 'ng-virtual-keyboard' directive in any text fields, password fields or textareas:

```html
<input type='text' ng-model="yourModel" ng-virtual-keyboard/>
```

## Changelog
[Go to Changelog Page](https://github.com/antonio-spinelli/ng-virtual-keyboard/blob/master/CHANGELOG.md)

## License

The MIT License (MIT)

Copyright (c) 2015 Antonio Spinelli

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

[npm-url]: https://npmjs.org/package/ng-virtual-keyboard
[npm-image]: https://img.shields.io/npm/v/ng-virtual-keyboard.svg
[bower-url]: http://bower.io/search/?q=ng-virtual-keyboard
[bower-image]: https://img.shields.io/bower/v/ng-virtual-keyboard.svg
